Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network253.72.192.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
253.72.192.0
Broadcast address
253.72.223.255
First usable
253.72.192.1
Last usable
253.72.223.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FD48C000 · Integer 4249403392 to 4249411583
Reverse DNS zones
192.72.253.in-addr.arpa
193.72.253.in-addr.arpa
194.72.253.in-addr.arpa
195.72.253.in-addr.arpa
196.72.253.in-addr.arpa
197.72.253.in-addr.arpa
198.72.253.in-addr.arpa
199.72.253.in-addr.arpa
200.72.253.in-addr.arpa
201.72.253.in-addr.arpa
202.72.253.in-addr.arpa
203.72.253.in-addr.arpa
204.72.253.in-addr.arpa
205.72.253.in-addr.arpa
206.72.253.in-addr.arpa
207.72.253.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111101.01001000.11000000.00000000253.72.192.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11111101.01001000.11000000.00000000253.72.192.0
Broadcast11111101.01001000.11011111.11111111253.72.223.255
Split into smaller subnets/31

253.72.192.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1253.72.192.0/31253.72.192.0 to 253.72.192.1—2
2253.72.192.2/31253.72.192.2 to 253.72.192.3—2
3253.72.192.4/31253.72.192.4 to 253.72.192.5—2
4253.72.192.6/31253.72.192.6 to 253.72.192.7—2
5253.72.192.8/31253.72.192.8 to 253.72.192.9—2
6253.72.192.10/31253.72.192.10 to 253.72.192.11—2
7253.72.192.12/31253.72.192.12 to 253.72.192.13—2
8253.72.192.14/31253.72.192.14 to 253.72.192.15—2
9253.72.192.16/31253.72.192.16 to 253.72.192.17—2
10253.72.192.18/31253.72.192.18 to 253.72.192.19—2
11253.72.192.20/31253.72.192.20 to 253.72.192.21—2
12253.72.192.22/31253.72.192.22 to 253.72.192.23—2
13253.72.192.24/31253.72.192.24 to 253.72.192.25—2
14253.72.192.26/31253.72.192.26 to 253.72.192.27—2
15253.72.192.28/31253.72.192.28 to 253.72.192.29—2
16253.72.192.30/31253.72.192.30 to 253.72.192.31—2
17253.72.192.32/31253.72.192.32 to 253.72.192.33—2
18253.72.192.34/31253.72.192.34 to 253.72.192.35—2
19253.72.192.36/31253.72.192.36 to 253.72.192.37—2
20253.72.192.38/31253.72.192.38 to 253.72.192.39—2
21253.72.192.40/31253.72.192.40 to 253.72.192.41—2
22253.72.192.42/31253.72.192.42 to 253.72.192.43—2
23253.72.192.44/31253.72.192.44 to 253.72.192.45—2
24253.72.192.46/31253.72.192.46 to 253.72.192.47—2
25253.72.192.48/31253.72.192.48 to 253.72.192.49—2
26253.72.192.50/31253.72.192.50 to 253.72.192.51—2
27253.72.192.52/31253.72.192.52 to 253.72.192.53—2
28253.72.192.54/31253.72.192.54 to 253.72.192.55—2
29253.72.192.56/31253.72.192.56 to 253.72.192.57—2
30253.72.192.58/31253.72.192.58 to 253.72.192.59—2
31253.72.192.60/31253.72.192.60 to 253.72.192.61—2
32253.72.192.62/31253.72.192.62 to 253.72.192.63—2
33253.72.192.64/31253.72.192.64 to 253.72.192.65—2
34253.72.192.66/31253.72.192.66 to 253.72.192.67—2
35253.72.192.68/31253.72.192.68 to 253.72.192.69—2
36253.72.192.70/31253.72.192.70 to 253.72.192.71—2
37253.72.192.72/31253.72.192.72 to 253.72.192.73—2
38253.72.192.74/31253.72.192.74 to 253.72.192.75—2
39253.72.192.76/31253.72.192.76 to 253.72.192.77—2
40253.72.192.78/31253.72.192.78 to 253.72.192.79—2
41253.72.192.80/31253.72.192.80 to 253.72.192.81—2
42253.72.192.82/31253.72.192.82 to 253.72.192.83—2
43253.72.192.84/31253.72.192.84 to 253.72.192.85—2
44253.72.192.86/31253.72.192.86 to 253.72.192.87—2
45253.72.192.88/31253.72.192.88 to 253.72.192.89—2
46253.72.192.90/31253.72.192.90 to 253.72.192.91—2
47253.72.192.92/31253.72.192.92 to 253.72.192.93—2
48253.72.192.94/31253.72.192.94 to 253.72.192.95—2
49253.72.192.96/31253.72.192.96 to 253.72.192.97—2
50253.72.192.98/31253.72.192.98 to 253.72.192.99—2
51253.72.192.100/31253.72.192.100 to 253.72.192.101—2
52253.72.192.102/31253.72.192.102 to 253.72.192.103—2
53253.72.192.104/31253.72.192.104 to 253.72.192.105—2
54253.72.192.106/31253.72.192.106 to 253.72.192.107—2
55253.72.192.108/31253.72.192.108 to 253.72.192.109—2
56253.72.192.110/31253.72.192.110 to 253.72.192.111—2
57253.72.192.112/31253.72.192.112 to 253.72.192.113—2
58253.72.192.114/31253.72.192.114 to 253.72.192.115—2
59253.72.192.116/31253.72.192.116 to 253.72.192.117—2
60253.72.192.118/31253.72.192.118 to 253.72.192.119—2
61253.72.192.120/31253.72.192.120 to 253.72.192.121—2
62253.72.192.122/31253.72.192.122 to 253.72.192.123—2
63253.72.192.124/31253.72.192.124 to 253.72.192.125—2
64253.72.192.126/31253.72.192.126 to 253.72.192.127—2
65253.72.192.128/31253.72.192.128 to 253.72.192.129—2
66253.72.192.130/31253.72.192.130 to 253.72.192.131—2
67253.72.192.132/31253.72.192.132 to 253.72.192.133—2
68253.72.192.134/31253.72.192.134 to 253.72.192.135—2
69253.72.192.136/31253.72.192.136 to 253.72.192.137—2
70253.72.192.138/31253.72.192.138 to 253.72.192.139—2
71253.72.192.140/31253.72.192.140 to 253.72.192.141—2
72253.72.192.142/31253.72.192.142 to 253.72.192.143—2
73253.72.192.144/31253.72.192.144 to 253.72.192.145—2
74253.72.192.146/31253.72.192.146 to 253.72.192.147—2
75253.72.192.148/31253.72.192.148 to 253.72.192.149—2
76253.72.192.150/31253.72.192.150 to 253.72.192.151—2
77253.72.192.152/31253.72.192.152 to 253.72.192.153—2
78253.72.192.154/31253.72.192.154 to 253.72.192.155—2
79253.72.192.156/31253.72.192.156 to 253.72.192.157—2
80253.72.192.158/31253.72.192.158 to 253.72.192.159—2
81253.72.192.160/31253.72.192.160 to 253.72.192.161—2
82253.72.192.162/31253.72.192.162 to 253.72.192.163—2
83253.72.192.164/31253.72.192.164 to 253.72.192.165—2
84253.72.192.166/31253.72.192.166 to 253.72.192.167—2
85253.72.192.168/31253.72.192.168 to 253.72.192.169—2
86253.72.192.170/31253.72.192.170 to 253.72.192.171—2
87253.72.192.172/31253.72.192.172 to 253.72.192.173—2
88253.72.192.174/31253.72.192.174 to 253.72.192.175—2
89253.72.192.176/31253.72.192.176 to 253.72.192.177—2
90253.72.192.178/31253.72.192.178 to 253.72.192.179—2
91253.72.192.180/31253.72.192.180 to 253.72.192.181—2
92253.72.192.182/31253.72.192.182 to 253.72.192.183—2
93253.72.192.184/31253.72.192.184 to 253.72.192.185—2
94253.72.192.186/31253.72.192.186 to 253.72.192.187—2
95253.72.192.188/31253.72.192.188 to 253.72.192.189—2
96253.72.192.190/31253.72.192.190 to 253.72.192.191—2
97253.72.192.192/31253.72.192.192 to 253.72.192.193—2
98253.72.192.194/31253.72.192.194 to 253.72.192.195—2
99253.72.192.196/31253.72.192.196 to 253.72.192.197—2
100253.72.192.198/31253.72.192.198 to 253.72.192.199—2
101253.72.192.200/31253.72.192.200 to 253.72.192.201—2
102253.72.192.202/31253.72.192.202 to 253.72.192.203—2
103253.72.192.204/31253.72.192.204 to 253.72.192.205—2
104253.72.192.206/31253.72.192.206 to 253.72.192.207—2
105253.72.192.208/31253.72.192.208 to 253.72.192.209—2
106253.72.192.210/31253.72.192.210 to 253.72.192.211—2
107253.72.192.212/31253.72.192.212 to 253.72.192.213—2
108253.72.192.214/31253.72.192.214 to 253.72.192.215—2
109253.72.192.216/31253.72.192.216 to 253.72.192.217—2
110253.72.192.218/31253.72.192.218 to 253.72.192.219—2
111253.72.192.220/31253.72.192.220 to 253.72.192.221—2
112253.72.192.222/31253.72.192.222 to 253.72.192.223—2
113253.72.192.224/31253.72.192.224 to 253.72.192.225—2
114253.72.192.226/31253.72.192.226 to 253.72.192.227—2
115253.72.192.228/31253.72.192.228 to 253.72.192.229—2
116253.72.192.230/31253.72.192.230 to 253.72.192.231—2
117253.72.192.232/31253.72.192.232 to 253.72.192.233—2
118253.72.192.234/31253.72.192.234 to 253.72.192.235—2
119253.72.192.236/31253.72.192.236 to 253.72.192.237—2
120253.72.192.238/31253.72.192.238 to 253.72.192.239—2
121253.72.192.240/31253.72.192.240 to 253.72.192.241—2
122253.72.192.242/31253.72.192.242 to 253.72.192.243—2
123253.72.192.244/31253.72.192.244 to 253.72.192.245—2
124253.72.192.246/31253.72.192.246 to 253.72.192.247—2
125253.72.192.248/31253.72.192.248 to 253.72.192.249—2
126253.72.192.250/31253.72.192.250 to 253.72.192.251—2
127253.72.192.252/31253.72.192.252 to 253.72.192.253—2
128253.72.192.254/31253.72.192.254 to 253.72.192.255—2
129253.72.193.0/31253.72.193.0 to 253.72.193.1—2
130253.72.193.2/31253.72.193.2 to 253.72.193.3—2
131253.72.193.4/31253.72.193.4 to 253.72.193.5—2
132253.72.193.6/31253.72.193.6 to 253.72.193.7—2
133253.72.193.8/31253.72.193.8 to 253.72.193.9—2
134253.72.193.10/31253.72.193.10 to 253.72.193.11—2
135253.72.193.12/31253.72.193.12 to 253.72.193.13—2
136253.72.193.14/31253.72.193.14 to 253.72.193.15—2
137253.72.193.16/31253.72.193.16 to 253.72.193.17—2
138253.72.193.18/31253.72.193.18 to 253.72.193.19—2
139253.72.193.20/31253.72.193.20 to 253.72.193.21—2
140253.72.193.22/31253.72.193.22 to 253.72.193.23—2
141253.72.193.24/31253.72.193.24 to 253.72.193.25—2
142253.72.193.26/31253.72.193.26 to 253.72.193.27—2
143253.72.193.28/31253.72.193.28 to 253.72.193.29—2
144253.72.193.30/31253.72.193.30 to 253.72.193.31—2
145253.72.193.32/31253.72.193.32 to 253.72.193.33—2
146253.72.193.34/31253.72.193.34 to 253.72.193.35—2
147253.72.193.36/31253.72.193.36 to 253.72.193.37—2
148253.72.193.38/31253.72.193.38 to 253.72.193.39—2
149253.72.193.40/31253.72.193.40 to 253.72.193.41—2
150253.72.193.42/31253.72.193.42 to 253.72.193.43—2
151253.72.193.44/31253.72.193.44 to 253.72.193.45—2
152253.72.193.46/31253.72.193.46 to 253.72.193.47—2
153253.72.193.48/31253.72.193.48 to 253.72.193.49—2
154253.72.193.50/31253.72.193.50 to 253.72.193.51—2
155253.72.193.52/31253.72.193.52 to 253.72.193.53—2
156253.72.193.54/31253.72.193.54 to 253.72.193.55—2
157253.72.193.56/31253.72.193.56 to 253.72.193.57—2
158253.72.193.58/31253.72.193.58 to 253.72.193.59—2
159253.72.193.60/31253.72.193.60 to 253.72.193.61—2
160253.72.193.62/31253.72.193.62 to 253.72.193.63—2
161253.72.193.64/31253.72.193.64 to 253.72.193.65—2
162253.72.193.66/31253.72.193.66 to 253.72.193.67—2
163253.72.193.68/31253.72.193.68 to 253.72.193.69—2
164253.72.193.70/31253.72.193.70 to 253.72.193.71—2
165253.72.193.72/31253.72.193.72 to 253.72.193.73—2
166253.72.193.74/31253.72.193.74 to 253.72.193.75—2
167253.72.193.76/31253.72.193.76 to 253.72.193.77—2
168253.72.193.78/31253.72.193.78 to 253.72.193.79—2
169253.72.193.80/31253.72.193.80 to 253.72.193.81—2
170253.72.193.82/31253.72.193.82 to 253.72.193.83—2
171253.72.193.84/31253.72.193.84 to 253.72.193.85—2
172253.72.193.86/31253.72.193.86 to 253.72.193.87—2
173253.72.193.88/31253.72.193.88 to 253.72.193.89—2
174253.72.193.90/31253.72.193.90 to 253.72.193.91—2
175253.72.193.92/31253.72.193.92 to 253.72.193.93—2
176253.72.193.94/31253.72.193.94 to 253.72.193.95—2
177253.72.193.96/31253.72.193.96 to 253.72.193.97—2
178253.72.193.98/31253.72.193.98 to 253.72.193.99—2
179253.72.193.100/31253.72.193.100 to 253.72.193.101—2
180253.72.193.102/31253.72.193.102 to 253.72.193.103—2
181253.72.193.104/31253.72.193.104 to 253.72.193.105—2
182253.72.193.106/31253.72.193.106 to 253.72.193.107—2
183253.72.193.108/31253.72.193.108 to 253.72.193.109—2
184253.72.193.110/31253.72.193.110 to 253.72.193.111—2
185253.72.193.112/31253.72.193.112 to 253.72.193.113—2
186253.72.193.114/31253.72.193.114 to 253.72.193.115—2
187253.72.193.116/31253.72.193.116 to 253.72.193.117—2
188253.72.193.118/31253.72.193.118 to 253.72.193.119—2
189253.72.193.120/31253.72.193.120 to 253.72.193.121—2
190253.72.193.122/31253.72.193.122 to 253.72.193.123—2
191253.72.193.124/31253.72.193.124 to 253.72.193.125—2
192253.72.193.126/31253.72.193.126 to 253.72.193.127—2
193253.72.193.128/31253.72.193.128 to 253.72.193.129—2
194253.72.193.130/31253.72.193.130 to 253.72.193.131—2
195253.72.193.132/31253.72.193.132 to 253.72.193.133—2
196253.72.193.134/31253.72.193.134 to 253.72.193.135—2
197253.72.193.136/31253.72.193.136 to 253.72.193.137—2
198253.72.193.138/31253.72.193.138 to 253.72.193.139—2
199253.72.193.140/31253.72.193.140 to 253.72.193.141—2
200253.72.193.142/31253.72.193.142 to 253.72.193.143—2
201253.72.193.144/31253.72.193.144 to 253.72.193.145—2
202253.72.193.146/31253.72.193.146 to 253.72.193.147—2
203253.72.193.148/31253.72.193.148 to 253.72.193.149—2
204253.72.193.150/31253.72.193.150 to 253.72.193.151—2
205253.72.193.152/31253.72.193.152 to 253.72.193.153—2
206253.72.193.154/31253.72.193.154 to 253.72.193.155—2
207253.72.193.156/31253.72.193.156 to 253.72.193.157—2
208253.72.193.158/31253.72.193.158 to 253.72.193.159—2
209253.72.193.160/31253.72.193.160 to 253.72.193.161—2
210253.72.193.162/31253.72.193.162 to 253.72.193.163—2
211253.72.193.164/31253.72.193.164 to 253.72.193.165—2
212253.72.193.166/31253.72.193.166 to 253.72.193.167—2
213253.72.193.168/31253.72.193.168 to 253.72.193.169—2
214253.72.193.170/31253.72.193.170 to 253.72.193.171—2
215253.72.193.172/31253.72.193.172 to 253.72.193.173—2
216253.72.193.174/31253.72.193.174 to 253.72.193.175—2
217253.72.193.176/31253.72.193.176 to 253.72.193.177—2
218253.72.193.178/31253.72.193.178 to 253.72.193.179—2
219253.72.193.180/31253.72.193.180 to 253.72.193.181—2
220253.72.193.182/31253.72.193.182 to 253.72.193.183—2
221253.72.193.184/31253.72.193.184 to 253.72.193.185—2
222253.72.193.186/31253.72.193.186 to 253.72.193.187—2
223253.72.193.188/31253.72.193.188 to 253.72.193.189—2
224253.72.193.190/31253.72.193.190 to 253.72.193.191—2
225253.72.193.192/31253.72.193.192 to 253.72.193.193—2
226253.72.193.194/31253.72.193.194 to 253.72.193.195—2
227253.72.193.196/31253.72.193.196 to 253.72.193.197—2
228253.72.193.198/31253.72.193.198 to 253.72.193.199—2
229253.72.193.200/31253.72.193.200 to 253.72.193.201—2
230253.72.193.202/31253.72.193.202 to 253.72.193.203—2
231253.72.193.204/31253.72.193.204 to 253.72.193.205—2
232253.72.193.206/31253.72.193.206 to 253.72.193.207—2
233253.72.193.208/31253.72.193.208 to 253.72.193.209—2
234253.72.193.210/31253.72.193.210 to 253.72.193.211—2
235253.72.193.212/31253.72.193.212 to 253.72.193.213—2
236253.72.193.214/31253.72.193.214 to 253.72.193.215—2
237253.72.193.216/31253.72.193.216 to 253.72.193.217—2
238253.72.193.218/31253.72.193.218 to 253.72.193.219—2
239253.72.193.220/31253.72.193.220 to 253.72.193.221—2
240253.72.193.222/31253.72.193.222 to 253.72.193.223—2
241253.72.193.224/31253.72.193.224 to 253.72.193.225—2
242253.72.193.226/31253.72.193.226 to 253.72.193.227—2
243253.72.193.228/31253.72.193.228 to 253.72.193.229—2
244253.72.193.230/31253.72.193.230 to 253.72.193.231—2
245253.72.193.232/31253.72.193.232 to 253.72.193.233—2
246253.72.193.234/31253.72.193.234 to 253.72.193.235—2
247253.72.193.236/31253.72.193.236 to 253.72.193.237—2
248253.72.193.238/31253.72.193.238 to 253.72.193.239—2
249253.72.193.240/31253.72.193.240 to 253.72.193.241—2
250253.72.193.242/31253.72.193.242 to 253.72.193.243—2
251253.72.193.244/31253.72.193.244 to 253.72.193.245—2
252253.72.193.246/31253.72.193.246 to 253.72.193.247—2
253253.72.193.248/31253.72.193.248 to 253.72.193.249—2
254253.72.193.250/31253.72.193.250 to 253.72.193.251—2
255253.72.193.252/31253.72.193.252 to 253.72.193.253—2
256253.72.193.254/31253.72.193.254 to 253.72.193.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses